package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFIA8 extends MwfRequest<MWFIA8, MWFIA8Response> {

    @Parameter(name = "AVPole2")
    MWFIA8 aVPole2(String aVPole2);
    @Parameter(name = "CACHE")
    MWFIA8 cache(Long cache);
    @Parameter(name = "CIF")
    MWFIA8 cif(String cif);
    @Parameter(name = "Castka")
    MWFIA8 castka(Double castka);
    @Parameter(name = "CisloUctuPrijemce_Externi")
    MWFIA8 cisloUctuPrijemceExterni(String cisloUctuPrijemceExterni);
    @Parameter(name = "CisloUctuPrijemce_Interni")
    MWFIA8 cisloUctuPrijemceInterni(String cisloUctuPrijemceInterni);
    @Parameter(name = "CisloUctuPrijemce_Kodbanky")
    MWFIA8 cisloUctuPrijemceKodbanky(String cisloUctuPrijemceKodbanky);
    @Parameter(name = "CisloUctuUver")
    MWFIA8 cisloUctuUver(String cisloUctuUver);
    @Parameter(name = "DatumCerpani")
    MWFIA8 datumCerpani(java.util.Date datumCerpani);
    @Parameter(name = "GEMINIUSERID")
    MWFIA8 geminiuserid(String geminiuserid);
    @Parameter(name = "Kanal")
    MWFIA8 kanal(String kanal);
    @Parameter(name = "KonstSymbol")
    MWFIA8 konstSymbol(String konstSymbol);
    @Parameter(name = "PodepsanoNaSingpadu")
    MWFIA8 podepsanoNaSingpadu(String podepsanoNaSingpadu);
    @Parameter(name = "RodneCislo")
    MWFIA8 rodneCislo(String rodneCislo);
    @Parameter(name = "SIGNATURE")
    MWFIA8 signature(String signature);
    @Parameter(name = "SYSTEMID")
    MWFIA8 systemid(String systemid);
    @Parameter(name = "SpecifickySymbol")
    MWFIA8 specifickySymbol(Long specifickySymbol);
    @Parameter(name = "Urednik")
    MWFIA8 urednik(String urednik);
    @Parameter(name = "VarSymbol")
    MWFIA8 varSymbol(Long varSymbol);
}
